package startimer

import (
	"errors"
	"strings"
)

func parseCron(cron string) (StarTimer, error) {
	for {
		oldLen := len(cron)
		cron = strings.ReplaceAll(strings.TrimSpace(cron), "  ", " ")
		if len(cron) == oldLen {
			break
		}
	}
	ct := strings.Split(cron, " ")
	if len(ct) != 6 {
		return StarTimer{}, errors.New("Invalid cron,argument not enough")
	}
	
	return StarTimer{}, nil
}
